﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.ViewManagement;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

namespace UWPWebviewBugFixedSample
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class WebviewFixBugPage : Page
    {
        public WebviewFixBugPage()
        {
            this.InitializeComponent();
        }

        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
            base.OnNavigatedTo(e);
            var inputPane = InputPane.GetForCurrentView();
            inputPane.Hiding += OnInputPaneHiding;
        }

        protected override void OnNavigatedFrom(NavigationEventArgs e)
        {
            base.OnNavigatedFrom(e);
            var inputPane = InputPane.GetForCurrentView();
            inputPane.Hiding -= OnInputPaneHiding;
        }

        private void OnInputPaneHiding(InputPane sender, InputPaneVisibilityEventArgs args)
        {
            //因为webview里面的input，输入键盘打开了，
            //如果按退后键，关闭键盘，再按退后键，回退页面，这个时候页面会弹一下键盘
            //为了防止这种情况，增加一个不会弹键盘的Textbox，让它获得焦点
            //注意设置PreventKeyboardDisplayOnProgrammaticFocus="True"
            //这个应该是Win10的bug
            hidetextBox.Focus(FocusState.Programmatic);
        }
    }
}
